
CoCoA-5 - Slug #1578

SLUG:  RationalSolve slow and stupid

22 Feb 2021 15:22 - John Abbott

Status: New Start date: 22 Feb 2021

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.4.4 Spent time: 0.30 hour

Description

The following system can easily be solved by hand, but CoCoA is very slow

[x*y +y^2,  x^2 -z^2,  y^3 -y*z^2,  z^2021 -1]

 

The problem seems to be computing the minpoly of x, but it would better to start with z since we already have a univariate poly in z.

History

#1 - 23 Feb 2021 10:39 - John Abbott

- Description updated

Some ideas:

if there is a univariate poly, factorize it, and take just the univariate factors; use these to elim an indet.

if there is a subset of K polys involving just K indets, and these polys define a 0-dim system, then perhaps solve that sub-problem first?

Requires revising RationalSolve.cpkg5; or maybe port everything into C++?

#2 - 15 Jan 2024 19:27 - John Abbott

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.4
